@charset "utf-8";

h1,h2,h3,h4,h5,h6{
    font-weight: 700;
}

h1{
    font-size: 2.6rem;
}
h2{
    font-size: 2.3rem;
}
h3{
    font-size: 2rem;
}
h4,h5,h6{
    font-size: 1.6rem;
}
a{
    text-decoration: underline;
    font-size: 1.6rem;
}
.hamburgerMenu a,
.post-navigation a,
.reserve-btn.btn,
.footer-block a{
    text-decoration: none;
}
.wp-block-image{
    margin-bottom: 1rem;
}

@media(max-width: 800px){
    h1{
        font-size: 2rem;
    }
    h2{
        font-size: 1.8rem;
    }
    h3{
        font-size: 1.6rem;
    }
    h4,h5,h6{
        font-size: 1.5rem;
    }
    a{
        font-size: 1.5rem;
    }
}

.archive-content{
    max-width: 100rem;
    margin: 9rem auto 0;
    width: 88%;
}
.post-item{
    display: flex;
    align-items: center;
    gap: 2.5rem;
    margin-top: 3rem;
    padding: 0 2%;
}
.post-date{
    font-size: 1.6rem;
}
.post-title{
    border-bottom: 1px solid #E5E5E5;
    padding: 0 2%;
}
.post-title__link{
    font-size: 1.6rem;
    margin: 1.5rem 0 3rem 0;
}

@media (max-width: 800px){
    .archive-content{
        margin-top: 6.5rem;
    }
    .post-title__link {
        font-size: 1.5rem;
        margin: 1.5rem 0 2.5rem 0;
    }
    .post-item{
        margin-top: 2rem;
    }
    .post-date{
        font-size: 1.5rem;
    }
}

/*
ブログ詳細ページ
*/
.postHeader{
    max-width: 130rem;
    width: 88%;
    margin: 8rem auto 0 auto;
}
.postHeader-info{
    display: flex;
    align-items: center;
    gap: 2rem;
    padding: 0 2%;
}
.postHeader-title{
    font-size: 2.4rem;
    margin-top: 1.5rem;
    border-bottom: 1px solid #e2e2e2;
    padding: 0 2%;
    padding-bottom: 2rem;
    font-weight: normal;
}
.postHeader-date{
    font-size: 1.6rem;
}
.post-thumbnail{
    max-width: 60rem;
    height: 60rem;
    width: 97%;
    margin: 4rem auto 0 auto;
    object-fit: contain;
}
.post-thumbnail img{
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.post-content{
    max-width: 80rem;
    width: 88%;
    margin: 5rem auto 0 auto;
}
.post-content p{
    font-size: 1.6rem;
    line-height: 2.2rem;
}
.post-navigation{
    max-width: 30rem;
    width: 97%;
    margin: 3.5rem auto 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}
.post-navigation a{
    font-size: 1.4rem;
}
.wp-block-separator{
    margin: 1.5rem 0;
}
.post-content p strong{
    font-size: 1.6rem;
}
.wp-block-gallery{
    margin: 3rem auto;
    max-width: 60rem;
    height: 60rem;
}
.wp-block-gallery img{
    width: 100%;
    height: 100%;
    object-fit: content;
}
.wp-block-gallery .wp-block-image img {
    object-fit: contain !important;
}

@media(max-width: 800px){
    .pageHead{
        font-size: 8.5vw;
        width: 100%;
        text-align: center;
    }
    .postHeader-title{
        font-size: 2rem;
        margin-top: 1rem;
    }
    .post-thumbnail {
        width: 88%;
        margin: 3rem auto 0 auto;
    }
    .post-content p{
        font-size: 1.5rem;
    }
    .post-content p strong{
        font-size: 1.5rem;
    }
    .post-navigation a {
        font-size: 1.3rem;
    }
}
